# 2.5.0

Release date: `2017-07-27`

## Core

- [NXDRIVE-897](https://jira.nuxeo.com/browse/NXDRIVE-897): Fix error when editing a DWG file
- [NXDRIVE-907](https://jira.nuxeo.com/browse/NXDRIVE-907): Replace deprecated log.warn with log.warning
- [NXDRIVE-908](https://jira.nuxeo.com/browse/NXDRIVE-908): Support URL parameters in Nuxeo URL
- [NXDRIVE-915](https://jira.nuxeo.com/browse/NXDRIVE-915): Subscribe to pyup.io for requirements checks
- [NXDRIVE-918](https://jira.nuxeo.com/browse/NXDRIVE-918): Ignore .bak files

## Tests

- [NXDRIVE-917](https://jira.nuxeo.com/browse/NXDRIVE-917): Analyze AutoCAD behaviors

## Packaging / Build

- [NXDRIVE-716](https://jira.nuxeo.com/browse/NXDRIVE-716): Fix warning: Unknown distribution option: 'attribs'
- [NXDRIVE-913](https://jira.nuxeo.com/browse/NXDRIVE-913): Jenkins: Drive-prod job requires the esky module

## GUI

- [NXDRIVE-694](https://jira.nuxeo.com/browse/NXDRIVE-694): Systray menu: needs double click to activate
- [NXDRIVE-711](https://jira.nuxeo.com/browse/NXDRIVE-711): System tray menu acts weird
- [NXDRIVE-865](https://jira.nuxeo.com/browse/NXDRIVE-865): Upgrade the Windows deploy script to compile PyQt/SIP/cx_Freeze (**breaking change**)
- [NXDRIVE-898](https://jira.nuxeo.com/browse/NXDRIVE-898): Add a system tray context menu
- [NXDRIVE-929](https://jira.nuxeo.com/browse/NXDRIVE-929): Cleanup JavaScript/HTML code

## Minor Changes

- Packaging: Upgraded `SIP` from 4.19 to 4.19.3
- Packaging: Updated `py2app` from 0.12 to 0.14
- Packaging: Updated `pytest` from 3.0.7 to 3.1.3
- Packaging: Updated `xattr` from 0.9.1 to 0.9.2
- Packaging: Updated `faulthandler` from 2.4 to 2.6
- Packaging: Updated `psutil` from 5.2.0 to 5.2.2
- Packaging: Updated `pypac` from 0.2.1 to 0.3.1
- Packaging: Updated `python-dateutil` from 2.6.0 to 2.6.1
- Packaging: Removed `setuptools` requirement
- Jenkins: Use TWANG for packages job
- \[Unix\] Packaging: Upgraded `PyQt` from 4.12 to 4.12.1
- \[Windows\] Packaging: Fixed missing `-start` argument
- \[Windows\] Packaging: Removed `7-Zip` dependency
- \[Windows\] Packaging: Upgraded `PyQt` from 4.11.4 to 4.12.1

## Technical Changes

- Removed `AbstractOSIntegration.get_zoom_factor()`. Use `zoom_factor` attribute instead. It is a property on Windows.
- Changed `Application.get_mac_app()` to static
- Changed `Application._message_clicked()` to `message_clicked()`
- Removed `Application.get_default_tooltip()` . Use `default_tooltip` attribute instead.
- Removed `Application.get_icon_state()`. Use `icon_state` attribute instead.
- Removed `Application.get_systray_menu()`
- Removed `Application.show_message()`
- Removed `DriveScript.set_engine_uid()`. Use `engine_uid` attribute instead.
- Removed `DriveSystrayIcon._show_popup()`
- Removed `DriveSystrayIcon.showMessage()`
- Removed `Engine.get_local_folder()`. Use `local_folder` attribute instead.
- Removed `Engine.get_remote_user()`. Use `remote_user` property instead.
- Removed `Engine.get_server_url()`. Use `server_url` property instead.
- Removed `Engine.get_uid()`. Use `uid` attribute instead.
- Changed `FolderTreeview.loadChildren()` to `load_children()`
- Changed `FolderTreeview.loadChildrenThread()` to `load_children_thread()`
- Changed `FolderTreeview.resolveItemDownChanged()` to `resolve_item_down_changed()`
- Changed `FolderTreeview.resolveItemUpChanged()` to `resolve_item_up_changed()`
- Changed `FolderTreeview.setClient()` method to `set_client()`
- Changed `FolderTreeview.sortChildren()` to `sort_children()`
- Changed `FolderTreeview.updateItemChanged()` to `update_item_changed()`
- Removed `FolderTreeview.get_dirty_items()`. Use `dirty_items` attribute instead.
- Removed `FolderTreeview.getLoadingOverlay()`
- Removed `FolderTreeview.loadFinished()`
- Removed `Manager._create_notification_service()`
- Removed `Manager.get_appname()`. Use `app_name` attribute instead.
- Removed `Manager.get_direct_edit()`. Use `direct_edit` attribute instead.
- Removed `Manager.get_notification_service()`. Use `notification_service` property instead.
- Removed `Manager.get_osi()`. Use `osi` attribute instead.
- Removed `Manager.is_debug()`. Use `debug` attribute instead.
- Removed `Notification.get_action()`. Use `action` attribute instead.
- Removed `Notification.get_engine_uid()`. Use `engine_uid` attribute instead.
- Removed `Notification.get_description()`. Use `description` attribute instead.
- Removed `Notification.get_flags()`. Use `flags` attribute instead.
- Removed `Notification.get_level()`. Use `level` attribute instead.
- Removed `Notification.get_title()`. Use `title` attribute instead.
- Removed `Notification.get_uid()`. Use `uid` attribute instead.
- Removed `Overlay.paintEvent()`
- Removed `SimpleApplication._get_skin()`. Use `skin` attribute instead.
- Changed `StatusTreeview.loadChildren()` to `load_children()`
- Removed `StatusTreeview.getLoadingOverlay()`
- Removed `StatusTreeview.loadFinished()`
- Changed `WebDialog._attachJsApi()` to `attachJsApi()`
- Changed `WebDialog._set_proxy()` to static
- Changed `WebDialog._sslErrorHandler()` to static `_ssl_error_handler()`
- Removed `WebDialog.__del__()`
- Removed `WebDialog.get_frame()`. Use `frame` attribute instead.
- Removed `WebDialog.get_view()`. Use `view` attribute instead.
- Removed `WebDialog.set_token()`. Use `token` attribute instead.
- Removed `WebDialog.show()`
- Removed `WebDriveApi.get_dialog()`. Use `dialog` attribute instead.
- Removed `WebDriveApi.set_dialog()`. Use `dialog` attribute instead.
- Removed `WebDriveApi.set_last_url()`. Use `last_url` attribute instead.
- Removed `WebMetadataApi.set_last_error()`. Use `error` attribute instead.
- Changed `WebSettingsApi.update_token` method to static
- Removed `start_engine`, `check_fs` and `token` keywords from `WebSettingsApi._bind_server()`. Use `kwargs.get(arg, default)` instead.
- Removed `check_fs` and `token` keywords from `WebSettingsApi.bind_server()`. Use `kwargs.get(arg, default)` instead.
- Removed `local_folder`, `url`, `username`, `password`, `name`, `check_fs` and `token` keywords from `WebSettingsApi.bind_server_async()`. Use `kwargs.get(arg, default)` instead.
- Removed `config`, `server`, `authenticated`, `username`, `password` and `pac_url` keywords from `WebSettingsApi.set_proxy_settings_async()`. Use `args` instead.
- Removed `local_folder`, `server_url` and `engine_name` keywords from `WebSettingsApi.web_authentication()`. Use `args` instead.
- Removed `WebSystray.close()`
- Removed `WebSystray.dialogDeleted()`
- Removed `WebSystray.focusOutEvent()`
- Removed `WebSystray.resizeEvent()`
- Removed `WebSystray.shouldHide()`
- Removed `WebSystray.show()`
- Removed `WebSystray.underMouse()`
- Removed `WebSystrayApi._create_advanced_menu()`
- Removed `WebSystrayApi.open_about()`
- Changed `WebSystrayView.replace()` to `resize_and_move()`
- Removed `Worker.get_action()`. Use `action` property instead.
- Changed utils.py::`is_office_temp_file()` to `is_generated_tmp_file()`. It now returns `tuple(bool, bool)`.
